Bug 535302 - (RHQ-2011) make menu search field faster - don't reload page
make menu search field faster - don't reload page
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks: jon24-search
  Show dependency treegraph
 
Reported: 2009-04-23 09:16 EDT by John Mazzitelli
Modified: 2010-12-23 09:27 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.4
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-23 09:27:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2009-04-23 09:16:00 EDT
We have the ability to search for resources and groups via the Search menu item text field (under both main menu "Resources" and "Groups").

However, when you type letters to search, it is very slow on pages that take long to render. It is fast when you are on pages that render fast.

I think what is happening is we are refreshing the entire page, rather then just issuing an ajax request to refresh only the search results box.
Comment 1 Red Hat Bugzilla 2009-11-10 15:56:01 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2011
Comment 2 Charles Crouch 2010-04-23 08:43:39 EDT
We should see if this is still a problem after the new search work.
Comment 3 Corey Welton 2010-12-23 09:27:14 EST
 close fixed during struts -> jsf migration

Note You need to log in before you can comment on or make changes to this bug.